### Method

# EDataServerUI WebDAVDiscoverContent set_base_url

since: 3.18

#### Declaration [src]

    void
    e_webdav_discover_content_set_base_url (
      GtkWidget* content,
      const gchar* base_url
    )

#### Description [src]

Sets base URL for the `content`. This is used to overwrite the one set on the `ESource` from the creation time. The URL can be either a full URL, a path or even a `NULL`.

Available since: 3.18

#### Parameters

`base_url`

  Type: `const gchar*`

  A base URL.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.